%define debug_package %{nil}

Summary:   Tools for building live CDs
Name:      livecd-tools
Version:   17.15
Release:   %mkrel 2
License:   GPLv2
Group:     System/Base
Buildarch: noarch
URL:       http://git.fedoraproject.org/?p=hosted/livecd
Source0:   %{name}-%{version}.tar.bz2
Source1:   live-mga-i586.ks
Source2:   live-mga-x86_64.ks
Requires:  python-imgcreate = %{version}-%{release}
Requires:  livecd-iso-to-disk = %{version}-%{release}
Requires:  python-rpm python-selinux
Requires:  mkisofs
Requires:  isomd5sum
Requires:  parted
%ifarch %{ix86} x86_64
Requires:  syslinux
%endif
%ifarch ppc
Requires:  yaboot
%endif
BuildRequires: python
BuildRequires: perl
Patch1: livecd-tools-17-urpmi.patch
Patch2: livecd-tools-17-force_x86_arch.patch
Patch3: livecd-tools-17-not-use-rhpl-keyobard.patch
Patch4: livecd-tools-17-dracut_conf.patch
Patch5: livecd-tools-17-mksquashfs.patch
Patch6: livecd-tools-17-force-dracut-also-for-initrd.patch
Patch7: livecd-tools-17.15-extra_filesystems.patch

Patch100:  fix-libdir-in-python.patch

%description 
Tools for generating live CDs on Fedora based systems including
derived distributions such as RHEL, CentOS and others. See
http://fedoraproject.org/wiki/FedoraLiveCD for more details.

This package contains patches required to allow building live images on
Mageia systems using urpmi.

%package -n python-imgcreate
Summary:  Python modules for building system images
Group:    System/Base
Requires: util-linux
Requires: coreutils
Requires: e2fsprogs
Requires: squashfs-tools
Requires: python-kickstart >= 1.77-1
Requires: dosfstools >= 2.11-8
#Requires: system-config-keyboard >= 1.3.0
Requires: python-urlgrabber
Requires: dbus-python
Conflicts: livecd-tools < 0.31

%description -n python-imgcreate
Python modules that can be used for building images for things
like live image or appliances.

%package -n livecd-iso-to-disk
Summary: Script for copy iso to disk
Requires: isomd5sum
Requires: parted
Requires: util-linux
Requires: lvm2
Requires: dosfstools >= 2.11-8
Requires: e2fsprogs
Requires: rsync
%ifarch %{ix86} x86_64
Requires:  syslinux
%endif

%description -n livecd-iso-to-disk
Convert a live CD iso so that it's bootable off of a USB stick

%prep
%setup -q

%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

mv %{buildroot}/%{_docdir}/%{name}-%{version}/  %{buildroot}/%{_docdir}/%{name}/
install -m 644 %SOURCE1 %{buildroot}%{_docdir}/%{name}/
install -m 644 %SOURCE2 %{buildroot}%{_docdir}/%{name}/

%files
%doc AUTHORS COPYING README HACKING
%doc config/livecd-fedora-minimal.ks
%{_mandir}/man*/*
%{_bindir}/livecd-creator
%{_bindir}/livecd-iso-to-pxeboot
%{_bindir}/image-creator
%{_bindir}/liveimage-mount
%{_bindir}/mkbiarch
%{_bindir}/edit-livecd

%files -n python-imgcreate
%doc API
%dir %{py_sitedir}/imgcreate
%{py_sitedir}/imgcreate/*.py
%{py_sitedir}/imgcreate/*.pyo
%{py_sitedir}/imgcreate/*.pyc

%files -n livecd-iso-to-disk
%{_bindir}/livecd-iso-to-disk


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 17.15-2.mga3
+ Revision: 358885
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 anaselli <anaselli> 17.15-1.mga3
+ Revision: 335521
- Aligned to livecd-tools 17.15
- Fixed bug #06925: livecd-iso-to-disk should require isomd5sum

* Sun Feb 12 2012 anaselli <anaselli> 14.3-2.mga2
+ Revision: 208261
- reverted apply_patches seems not to work as expected
- kickstart file clean up
- removed mandriva system in description

* Sun Feb 12 2012 anaselli <anaselli> 14.3-1.mga2
+ Revision: 208232
- Force to use dracut configuration for initrd also
- Moved dracut.conf in /etc/dracut.conf.d/99livecd.conf
- Added hostonly=no into 99livecd.conf
- Now %%post is run as in fedora after boot_config
- imported package livecd-tools

